Skip to main content
Back to API List Use this API to fetch complete details of an existing voice campaign using the campaign ID.
MethodGET
Endpointhttps://{{host}}/agentassist/api/v1/public/{{IId}}/campaign/{{campaignId}}
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
IIdThe Application ID.string, required
campaignIdUnique ID of the campaign to be updated. For example: cd-ed19e3c7-3682-5e72-a839-af9e0711xxxxstring, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{botId}}/campaign/{{campaignId}}' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14b9xxxx' \
--header 'accountId: 67777ce93e25326494e9xxxx' \
--header 'auth: <token>'

Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "success",
    "message": "Campaign Interactive Support SMS Campaign retrieved successfully",
    "data": {
        "_id": "cd-3aefda80-f98e-5f4f-ad41-92803abbxxxx",
        "name": "Interactive Support SMS Campaign",
        "status": "Ready",
        "priority": "5",
        "dialingStrategy": {
            "callerId": { "phoneNumber": "+919876543210" },
            "callingHours": {
                "frequency": "WEEKLY",
                "timezone": "Asia/Kolkata",
                "days": [
                    { "day": "MO", "start": "9:00 AM", "end": "6:00 PM" },
                    { "day": "TU", "start": "9:00 AM", "end": "6:00 PM" },
                    { "day": "WE", "start": "9:00 AM", "end": "6:00 PM" },
                    { "day": "TH", "start": "9:00 AM", "end": "6:00 PM" },
                    { "day": "FR", "start": "9:00 AM", "end": "6:00 PM" }
                ]
            }
        },
        "experienceFlow": "cf-67447605-115e-5dd2-a676-e158cf3bxxxx",
        "createdAt": "2025-06-27T09:25:53.320Z",
        "updatedAt": "2025-06-27T09:31:56.940Z",
        "schedule": {
            "isSchedulingEnabled": false,
            "isRecurrenceEnabled": false
        },
        "contactLists": ["Renewal Due - May/June 2025"],
        "enableMachineDetect": false,
        "format": "advanced"
    }
}

Response Body Parameters

ParameterDescriptionType
statusOverall status of the API response. Example: "success"string
messageResponse message indicating the result of the request.string
dataContains the campaign details.object
data._idUnique identifier of the campaign.string
data.nameCampaign name (title-cased).string
data.lnameLowercased campaign name.string
data.descriptionDetailed description of the campaign purpose and behavior.string
data.statusCurrent status of the campaign. Example: "Ready"string
data.priorityPriority level assigned to the campaign.string
data.dialingStrategyConfiguration for dialing or communication strategy.object
data.dialingStrategy.callerId.phoneNumberPhone number used as the caller ID or sender ID.string
data.dialingStrategy.callingHoursCampaign’s operating schedule.object
data.dialingStrategy.callingHours.frequencyFrequency for running the campaign. Example: "WEEKLY"string
data.dialingStrategy.callingHours.timezoneTime zone for the calling hours.string
data.dialingStrategy.callingHours.daysDays and time range when the campaign is active.array of object
data.dialingStrategy.callingHours.days[].dayDay of the week when campaign runs. Example: "MO"string
data.dialingStrategy.callingHours.days[].startCampaign start time for the day. (HH:MM AM/PM)string
data.dialingStrategy.callingHours.days[].endCampaign end time for the day. (HH:MM AM/PM)string
data.experienceFlowAssociated experience flow ID used by the campaign.string
data.createdAtTimestamp when the campaign was created. (ISO 8601)string
data.updatedAtTimestamp when the campaign was last updated. (ISO 8601)string
data.scheduleScheduling configuration for the campaign.object
data.schedule.isSchedulingEnabledIndicates whether the campaign has a scheduled start.boolean
data.schedule.isRecurrenceEnabledIndicates whether recurrence is enabled.boolean
data.contactListsNames of contact lists associated with the campaign.array of string
data.enableMachineDetectWhether machine detection is enabled for the campaign.boolean
data.formatFormat of the campaign configuration. Example: "advanced"string